Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.conditions
Class QueueSizeThreshWithTypeCondition

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.conditions.QueueSizeThreshCondition
          umontreal.iro.lecuyer.contactcenters.msk.conditions.QueueSizeThreshWithTypeCondition

All Implemented Interfaces:
  Condition

    public class QueueSizeThreshWithTypeCondition

extends QueueSizeThreshCondition

Represents a condition comparing the number of calls of a given type in a given queue with a threshold. This is similar to `QueueSizeThreshCondition`, with the possibility to restrict the number of queued calls to a given type.

Constructor Summary
`QueueSizeThreshWithTypeCondition(CallCenter cc, int index, int type, int threshold, Relationship rel)` Constructs a new condition on the queue size for the call center `cc`, queue with index `index`, calls of type `type`, with threshold `threshold`, and using relation `rel` for comparison.

Method Summary
`boolean` | `applies(Contact contact)` Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies.
`int` | `getType()` Returns the type identifier for which this condition is evaluated.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.conditions.QueueSizeThreshCondition
`getCallCenter, getIndex, getRelationship, getThreshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueSizeThreshWithTypeCondition

    public QueueSizeThreshWithTypeCondition(CallCenter cc,
                                            int index,
                                            int type,
                                            int threshold,
                                            Relationship rel)

  Constructs a new condition on the queue size for the call center `cc`, queue with index `index`, calls of type `type`, with threshold `threshold`, and using relation `rel` for comparison.

  Parameters:
    `cc` - the call center model.
    `index` - the index of the waiting queue.
    `type` - the call type index.
    `threshold` - the threshold.
    `rel` - the relationship used to perform the comparison.

Method Detail

### getType

    public int getType()

  Returns the type identifier for which this condition is evaluated.

### applies

    public boolean applies(Contact contact)

  Description copied from interface: `Condition`
  Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies. Some conditions depend on the state of the system rather than a particular contact. In such cases, the contact object can be ignored.

  Specified by:
    `applies` in interface `Condition`
  Overrides:
    `applies` in class `QueueSizeThreshCondition`
  Parameters:
    `contact` - the contact on which to check the condition.
  Returns:
    the success indicator of the test.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.